Bug 603440 - [abrt] crash in exaile-0.3.1.1-1.fc13: transcoder.py:198:stop:AttributeError: 'NoneType' object has no attribute 'set_state'
Summary: [abrt] crash in exaile-0.3.1.1-1.fc13: transcoder.py:198:stop:AttributeError:...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: exaile
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3f6c32ff
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-13 08:14 UTC by sunny
Modified: 2010-07-20 22:49 UTC (History)
2 users (show)

Fixed In Version: exaile-0.3.2.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-20 22:49:42 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (718 bytes, text/plain)
2010-06-13 08:14 UTC, sunny
no flags Details

Description sunny 2010-06-13 08:14:11 UTC
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: python /usr/lib/python2.6/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.6/site-packages/exaile/exaile.py
kernel: 2.6.33.5-112.fc13.i686.PAE
package: exaile-0.3.1.1-1.fc13
reason: transcoder.py:198:stop:AttributeError: 'NoneType' object has no attribute 'set_state'
release: Fedora release 13 (Goddard)

backtrace
-----
transcoder.py:198:stop:AttributeError: 'NoneType' object has no attribute 'set_state'

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/progress.py", line 82, in stop_monitor
    self.thread.stop_thread()
  File "/usr/share/exaile/plugins/cd/_cdguipanel.py", line 50, in stop_thread
    self.imp.stop()
  File "/usr/share/exaile/plugins/cd/importer.py", line 115, in stop
    self.transcoder.stop()
  File "/usr/lib/python2.6/site-packages/exaile/xl/transcoder.py", line 198, in stop
    self.pipe.set_state(gst.STATE_NULL)
AttributeError: 'NoneType' object has no attribute 'set_state'

Local variables in innermost frame:
self: <xl.transcoder.Transcoder object at 0xb683c7ac>

Comment 1 sunny 2010-06-13 08:14:14 UTC
Created attachment 423589 [details]
File: backtrace

Comment 2 Fedora Update System 2010-06-29 16:38:41 UTC
exaile-0.3.2.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc13

Comment 3 Fedora Update System 2010-06-30 15:07:26 UTC
exaile-0.3.2.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc13

Comment 4 Fedora Update System 2010-07-20 22:48:46 UTC
exaile-0.3.2.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.